package com.crm.rely.backend.core.dto.ucard;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 速汇订单订单合计响应DTO
 */
@Data
public class GlobalOrderSumDto {

    /**
     * 订单金额
     */
    private BigDecimal amount;

    /**
     * 三方预估手续费手续费
     */
    private BigDecimal fee;

    public static GlobalOrderSumDto getInstance(){
        GlobalOrderSumDto sumDto = new GlobalOrderSumDto();
        sumDto.setAmount(BigDecimal.ZERO);
        sumDto.setFee(BigDecimal.ZERO);
        return sumDto;
    }

}
